Main As screen:
    BackgroundImage: =
    ContentLanguage: =""
    Fill: =RGBA(224, 24, 24, 1)
    ImagePosition: =ImagePosition.Tile
    LoadingSpinnerColor: =RGBA(0, 0, 0, 0)

    textinput1 As text:
        BorderColor: =RGBA(224, 24, 24, 1)
        BorderThickness: =0
        Color: =RGBA(0, 0, 0, 1)
        Default: =""
        DisabledBorderColor: =RGBA(255, 255, 255, 1)
        DisabledColor: =RGBA(161, 159, 157, 1)
        DisabledFill: =RGBA(242, 242, 241, 0)
        EnableSpellCheck: =true
        FocusedBorderThickness: =4
        Font: =Font.'Segoe UI'
        Height: =72
        HoverBorderColor: =RGBA(255, 255, 255, 1)
        HoverColor: =RGBA(0, 0, 0, 1)
        HoverFill: =RGBA(255, 255, 255, 1)
        MaxLength: =88
        Mode: =TextMode.MultiLine
        OnChange: =
        OnSelect: =
        PressedBorderColor: =RGBA(255, 255, 255, 1)
        PressedColor: =RGBA(50, 49, 48, 1)
        PressedFill: =RGBA(255, 255, 255, 1)
        RadiusBottomLeft: =10
        RadiusBottomRight: =10
        RadiusTopLeft: =10
        RadiusTopRight: =10
        Reset: =
        Size: =21
        Width: =479
        X: =40
        Y: =1017
        ZIndex: =1

    send1 As icon.Send:
        AutoDisableOnSelect: =
        BorderColor: =RGBA(0, 0, 0, 0)
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(245, 245, 245, 1)
        DisabledColor: =RGBA(225, 223, 221, 1)
        DisabledFill: =RGBA(0, 0, 0, 0)
        Fill: =RGBA(224, 24, 24, 1)
        FocusedBorderThickness: =4
        HoverBorderColor: =RGBA(0, 0, 0, 0)
        HoverColor: =RGBA(251, 188, 159, 1)
        HoverFill: =RGBA(0, 0, 0, 0)
        Icon: =Icon.Send
        OnSelect: |-
            =
            If(!IsBlank(textinput1.Text), Set(varResponse, varResponse & Char(13) & textinput1.Text));
            Reset(textinput1);
            Notify("ChatGPT asked", NotificationType.Success , 1000);
        PressedBorderColor: =RGBA(0, 0, 0, 0)
        PressedColor: =RGBA(251, 188, 159, 1)
        PressedFill: =RGBA(0, 0, 0, 0)
        TabIndex: =2
        Tooltip: ="1"
        X: =536
        Y: =1021
        ZIndex: =2

    SendMail1 As icon.Mail:
        BorderColor: =RGBA(0, 0, 0, 0)
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(245, 245, 245, 1)
        DisabledColor: =RGBA(204, 204, 204, 1)
        DisabledFill: =RGBA(0, 0, 0, 0)
        Fill: =RGBA(224, 24, 24, 1)
        FocusedBorderThickness: =0
        Height: =80
        HoverBorderColor: =RGBA(0, 0, 0, 0)
        HoverColor: =RGBA(251, 188, 159, 1)
        HoverFill: =RGBA(0, 0, 0, 0)
        Icon: =Icon.Mail
        OnSelect: ='PowerAppV2->Sendanemailnotification(V3)'.Run();
        PressedBorderColor: =RGBA(0, 0, 0, 0)
        PressedColor: =RGBA(251, 188, 159, 1)
        PressedFill: =RGBA(0, 0, 0, 0)
        Width: =77
        X: =387
        Y: =899
        ZIndex: =7

    completionmode As toggleSwitch:
        BorderColor: =RGBA(0, 0, 0, 0)
        BorderStyle: =BorderStyle.None
        Color: =RGBA(50, 49, 48, 1)
        DisabledBorderColor: =RGBA(251, 188, 159, 1)
        FalseFill: =RGBA(255, 255, 255, 1)
        FalseHoverFill: =RGBA(251, 188, 159, 1)
        FocusedBorderThickness: =4
        Font: =Font.'Segoe UI'
        HandleFill: =RGBA(128, 128, 128, 1)
        Height: =49
        HoverBorderColor: =RGBA(251, 188, 159, 1)
        PressedBorderColor: =RGBA(251, 188, 159, 1)
        ShowLabel: =false
        Size: =21
        TabIndex: =1
        TrueFill: =RGBA(251, 188, 159, 1)
        TrueHoverFill: =RGBA(251, 188, 159, 1)
        Width: =103
        X: =40
        Y: =912
        ZIndex: =8

    Label7 As label:
        Align: =Align.Center
        BorderColor: =RGBA(0, 0, 0, 0)
        BorderStyle: =BorderStyle.None
        BorderThickness: =2
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(0, 0, 0, 0)
        DisabledColor: =RGBA(161, 159, 157, 1)
        FocusedBorderThickness: =4
        Font: =Font.'Segoe UI'
        Height: =100
        Size: =28
        Text: ="Creativity Mode"
        Width: =178
        X: =138
        Y: =886
        ZIndex: =9

    Dropdown1 As dropdown:
        BorderColor: =RGBA(245, 245, 245, 1)
        BorderThickness: =0
        ChevronBackground: =RGBA(224, 24, 24, 1)
        ChevronDisabledBackground: =RGBA(242, 242, 241, 0)
        ChevronDisabledFill: =RGBA(161, 159, 157, 1)
        ChevronHoverBackground: =RGBA(0, 0, 0, 0)
        ChevronHoverFill: =RGBA(251, 188, 159, 1)
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(0, 0, 0, 0)
        DisabledColor: =RGBA(161, 159, 157, 1)
        DisabledFill: =RGBA(242, 242, 241, 0)
        Fill: =RGBA(224, 24, 24, 1)
        Font: =Font.'Segoe UI'
        Height: =61
        HoverBorderColor: =RGBA(0, 0, 0, 0)
        HoverColor: =RGBA(251, 188, 159, 1)
        HoverFill: =RGBA(0, 0, 0, 0)
        Items: |-
            =Table({Text:"",Val:Blank()},{Text: "General", Val:1},{Text: "rbb-Web Search", Val:2},{Text: "rbb-Intranet Search", Val:3}, {Text: "Impressum", Val:4})
        PaddingBottom: =5
        PaddingLeft: =12
        PaddingRight: =5
        PaddingTop: =5
        PressedBorderColor: =RGBA(0, 0, 0, 0)
        PressedColor: =RGBA(0, 0, 0, 0)
        PressedFill: =RGBA(0, 0, 0, 0)
        SelectionFill: =RGBA(224, 24, 24, 1)
        Size: =21
        TabIndex: =4
        Width: =280
        X: =170
        Y: =17
        ZIndex: =10

    rbblogo As image:
        BorderColor: =RGBA(0, 0, 0, 0)
        BorderStyle: =BorderStyle.None
        BorderThickness: =2
        DisabledBorderColor: =RGBA(0, 0, 0, 0)
        DisabledFill: =RGBA(0, 0, 0, 0)
        FocusedBorderThickness: =4
        Height: =61
        HoverBorderColor: =RGBA(0, 0, 0, 0)
        HoverFill: =RGBA(0, 0, 0, 0)
        Image: ='rbb-logo'
        PressedBorderColor: =RGBA(0, 0, 0, 0)
        PressedFill: =RGBA(0, 0, 0, 0)
        Width: =142
        X: =249
        Y: =17
        ZIndex: =11

    Eraser1 As icon.Erase:
        BorderColor: =RGBA(0, 0, 0, 0)
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(245, 245, 245, 1)
        DisabledColor: =RGBA(204, 204, 204, 1)
        DisabledFill: =RGBA(0, 0, 0, 0)
        Fill: =RGBA(224, 24, 24, 1)
        FocusedBorderThickness: =0
        HoverBorderColor: =RGBA(0, 0, 0, 0)
        HoverColor: =RGBA(251, 188, 159, 1)
        HoverFill: =RGBA(0, 0, 0, 0)
        Icon: =Icon.Erase
        OnSelect: =Set(varResponse, Blank());
        PressedBorderColor: =RGBA(0, 0, 0, 0)
        PressedColor: =RGBA(251, 188, 159, 1)
        PressedFill: =RGBA(0, 0, 0, 0)
        TabIndex: =3
        X: =536
        Y: =907
        ZIndex: =15

    chatbox1 As text:
        BorderColor: =RGBA(224, 24, 24, 1)
        BorderThickness: =0
        Color: =RGBA(0, 0, 0, 1)
        Default: =varResponse
        DisabledBorderColor: =RGBA(255, 255, 255, 1)
        DisabledColor: =RGBA(161, 159, 157, 1)
        DisabledFill: =RGBA(242, 242, 241, 0)
        DisplayMode: =DisplayMode.View
        Fill: =RGBA(236, 236, 235, 1)
        FocusedBorderThickness: =4
        Font: =Font.'Segoe UI'
        Height: =789
        HoverBorderColor: =RGBA(255, 255, 255, 1)
        HoverColor: =RGBA(0, 0, 0, 1)
        HoverFill: =RGBA(255, 255, 255, 1)
        MaxLength: =88
        Mode: =TextMode.MultiLine
        OnChange: =//chatbox1.ScrollToEnd();
        OnSelect: =
        PressedBorderColor: =RGBA(255, 255, 255, 1)
        PressedColor: =RGBA(50, 49, 48, 1)
        PressedFill: =RGBA(255, 255, 255, 1)
        RadiusBottomLeft: =10
        RadiusBottomRight: =10
        RadiusTopLeft: =10
        RadiusTopRight: =10
        Reset: =
        Size: =32
        Width: =560
        X: =40
        Y: =97
        ZIndex: =16

    Label1 As label:
        Align: =Align.Center
        BorderColor: =RGBA(0, 0, 0, 0)
        BorderStyle: =BorderStyle.None
        BorderThickness: =2
        Color: =RGBA(255, 255, 255, 1)
        DisabledBorderColor: =RGBA(0, 0, 0, 0)
        DisabledColor: =RGBA(255, 255, 255, 1)
        FocusedBorderThickness: =4
        Font: =Font.'Segoe UI'
        Height: =66
        Size: =21
        Text: |-
            ="Ask
            ChatGPT"
        Width: =134
        X: =29
        Y: =12
        ZIndex: =17

